/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core;

import javax.servlet.http.*;

import org.apache.tiles.*;
import org.apache.tiles.servlet.context.*;

import attila.core.exception.*;

public abstract class JSPCompositeViewable extends AttilaTheViewable {

	private String tilesLayout = null;
	
	public void setTilesLayout(String tilesLayout){
		this.tilesLayout = tilesLayout;
	}
	
	public String getTilesLayout(){
		return tilesLayout;
	}
	
	@Override
	protected void renderView(HttpServletRequest request, HttpServletResponse response) {
		if(getTilesLayout() != null){
			try{
				TilesContainer container = ServletUtil.getCurrentContainer(request, request.getSession().getServletContext());
				container.render(getTilesLayout(), request, response);
			} catch (TilesException e) {
				ViewableException exception = new ViewableException("Error with Tiles2");
				exception.setStackTrace(e.getStackTrace());
				throw exception;
			}
		}else{
			throw new ViewableException("No Tiles2 layout defined for this JSPViewable! Set the layout with setTilesLayout()-method.");
		}
	}
	
}
