/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core.auth;

/**
 * An implementation of <code>AuthenticationLevel</code> is used by Attila to 
 * check if the user has sufficient rights to access an action.
 * @author Kai Kousa
 * */
public interface AuthenticationLevel {

	/**
	 * Checks an authenticated user's usage rights.
	 * @return false if user doesn't have correct usage rights.
	 * */
	public boolean checkUserAuthenticationLevel(AttilaTheUser user);
	
}
