/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core.event;

import javax.servlet.http.*;

import attila.core.*;

/**
 * Encapsulates all data relevant to the action being invoked.
 * @author Kai Kousa
 * */
public class ActionInvokeEvent {

	private AttilaAction action;
	private HttpServletRequest request;
	private HttpServletResponse response;
	
	public ActionInvokeEvent(AttilaAction action, HttpServletRequest request, HttpServletResponse response){
		this.action = action;
		this.request = request;
		this.response = response;
	}

	public AttilaAction getAction() {
		return action;
	}

	public HttpServletRequest getRequest() {
		return request;
	}

	public HttpServletResponse getResponse() {
		return response;
	}
	
}
