/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core.event;

/**
 * ViewListener allows developers to hook in to Attila's rendering flow.
 * @author Kai Kousa
 * */
public interface ViewListener {

	/**
	 * This event is launched before rendering. This happens after the viewable has 
	 * prepared the data for rendering.
	 * */
	public void preRender(ViewRenderEvent event);
	
	/**
	 * Launched after the rendering has been done.
	 * */
	public void postRender(ViewRenderEvent event);
	
}
