/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core.exception;

import java.util.Scanner;
import java.io.*;

import javax.servlet.http.*;

public class DefaultExceptionHandler implements ExceptionHandler{

	public void handleException(Exception ex, HttpServletRequest request, HttpServletResponse response){
		Scanner scanner = new Scanner(getClass().getResourceAsStream("/attila/core/exception/exception.html"));
		String template = "";
		while (scanner.hasNextLine()) {
			template += scanner.nextLine() + "\n";
		}
		StringWriter exceptionStackTraceWriter = new StringWriter();
		PrintWriter print = new PrintWriter(exceptionStackTraceWriter);
		ex.printStackTrace(print);
		
		template = template.replace("${exceptionName}", ex.getClass().getName());
		template = template.replace("${exceptionStackTrace}", exceptionStackTraceWriter.toString());
		
		try {
			response.setContentType("text/html");
			response.getOutputStream().println(template);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
}
