/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form;

/**
 * An implementation of {@link FieldLink}. Checks that the values of the two fields are equal.
 * @author Kai Kousa
 * */
public class EqualFieldsLink implements FieldLink {

	private Field f1;
	private Field f2;
	
	private String errorText;
	
	public void setErrorText(String errorText){
		this.errorText = errorText;
	}
	
	public String getErrorText(){
		return errorText;
	}
	
	@Override
	public void setLinkedFields(Field f1, Field f2) {
		this.f1 = f1;
		this.f2 = f2;
	}
	
	@Override
	public boolean validate() {
		return f1.getValue().equals(f2.getValue());
	}

}
