/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form.validators;

/**
 * Abstract base class for rules that validate the inputs character by character.
 * @author Kai Kousa 
 * */
public abstract class CharByCharRule extends Rule {

	@Override
	public boolean validateString(String s) {
		boolean validationResult = true;
		if(s != null){
			for (int i = 0; i < s.length(); i++){
				char c = s.charAt( i );
				
				if (!(validate(c))){
					validationResult = false;
				}
			}			
		}else{
			validationResult = false;
		}
		
		return validationResult;
	}
	
	protected abstract boolean validate(char c);
	
}
