/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form.validators;

/**
 * Contains rules for validating integer numbers.
 * Rules for int:
 * <ul>
 *	<li>number character (0 - 9)</li>
 * 	<li>minus sign (-)</li>
 * </ul>
 * @author Kai Kousa
 * */
public class IntRule extends Rule {

	@Override
	public boolean validateString(String s) {
		
		try{
			Integer.parseInt(s);
			return true;
		}catch(NumberFormatException numEx){
			return false;			
		}
	}

}
