/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.jsp.functions;

import attila.form.*;

/**
 * Helper functions for working with Attila forms in jsp-pages.
 * @author Kai Kousa
 * */
public class FormFunctions {

	/**
	 * Looks for a specified field from the given form and returns the value of the field 
	 * or an empty string if the field could not be found. 
	 * */
	public static String getFieldValue(String fieldName, Form form){
		
		Field field = form.getField(fieldName);
		if(field != null){
			return field.getValue();
		}else{
			return "";			
		}		
	}
	
}
