/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.jsp.functions;

import java.util.*;

/**
 * Helpful functions for gettings information out of lists in Expression Language scripts.
 * @author Kai Kousa
 * */
public class ListFunctions {
	
	/**
	 * Returns the size of the given list
	 * @param list - instance of <code>java.util.List</code>
	 * @return the amount of items in the list
	 * */
	@SuppressWarnings("unchecked")
	public static Integer count(List list){
		return new Integer(list.size());
	}
	
}
