/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.jsp.tags.form;

import java.util.*;

import javax.servlet.jsp.tagext.*;

/**
 * Base tag for all JSP-tags that implement html-tags.
 * @author Kai Kousa
 * */
public abstract class HtmlElementBaseTag extends BodyTagSupport  {
	
	private Map<String, String> attributes = new HashMap<String, String>();
	
	public void setElementClass(String elementClass) {
		attributes.put("class", elementClass);
	}
	
	public void setId(String id) {
		attributes.put("id", id);
	}
	
	public void setStyle(String style) {
		attributes.put("style", style);
	}
	
	public void setTitle(String title) {
		attributes.put("title", title);
	}
	
	public String getAttributes(){
		return getAttributes(attributes);
	}
	
	public String getAttributes(Map<String, String> attributeMap){
		StringBuilder attributeString = new StringBuilder();
		
		for(String attributeName : attributeMap.keySet()){
			attributeString.append(attributeName);
			attributeString.append("=");
			attributeString.append("\"");
			attributeString.append(attributeMap.get(attributeName));
			attributeString.append("\"");
			attributeString.append(" ");
		}
		
		return attributeString.toString();
	}
	
}
