/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core;

import javax.servlet.http.*;

import junit.framework.*;

import attila.mock.*;

public class AttilaRequestTests extends TestCase{

	private HttpServletRequestMock mockRequest;
	
	@Override
	protected void setUp() throws Exception {
		mockRequest = new HttpServletRequestMock();
		mockRequest.addParameter("userId", "24");
	}
	
	public void testGetParameter(){
		HttpServletRequest request = new AttilaRequest(mockRequest);
		
		assertEquals("24", request.getParameter("userId"));
	}
	
	public void testGetParameter_addCustomParameter(){
		AttilaRequest attilaRequest = new AttilaRequest(mockRequest);
		attilaRequest.addParameter("friendId", "45");
		
		HttpServletRequest request = attilaRequest;
		
		assertEquals("45", request.getParameter("friendId"));
		assertEquals("24", request.getParameter("userId"));
	}
	
}
