/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import junit.framework.*;

import attila.core.util.ActionParser;
import attila.mock.*;

public class BasicActionInvokerTests extends TestCase {

	public void testInvokeAction(){
		HttpServletRequestMock mockRequest = new HttpServletRequestMock(); 
		HttpServletResponseMock mockResponse = new HttpServletResponseMock();
		
		mockRequest.setRequestURL(new StringBuffer("http://example.com/foo/?action=bar&id=12"));
		mockRequest.setServerName("example.com");
		mockRequest.setContextPath("/");
		
		ActionInvoker invoker = new BasicActionInvoker();
		AttilaAction action = ActionParser.createAction(FooController.class, "bar");
		FooController controller = new FooController();
		try{
			invoker.invokeAction(action, controller, mockRequest, mockResponse);
			assertTrue(true);
		}catch(Exception ex){
			ex.printStackTrace();
			fail();
		}
	}
	
	private class FooController extends AttilaTheController{

		@Override
		public void index(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {}
		
		public void bar(HttpServletRequest request, HttpServletResponse response){}
		
	}
	
}
