/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.core.util;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import junit.framework.*;

import attila.core.*;
import attila.mock.*;

public class RequestParamUtilTests extends TestCase{

	public void testWrapParameters(){
		AttilaAction action = ActionParser.createAction(Foo.class, "uploadprofileimage");
		
		Object[] params = RequestParamUtil.wrapParameters(action.getAction(), new HttpServletRequestMock(), new HttpServletResponseMock());
		
		assertTrue(params[0] instanceof MultipartRequest);
	}
	
	@SuppressWarnings("serial")
	private class Foo extends AttilaTheController{

		@Override
		public void index(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {}
		
		@SuppressWarnings("unused")
		@HTTPMethod
		public void uploadprofileimage(MultipartRequest request, HttpServletResponse response){
			
		}
		
	}
	
}
