/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form.validators;

import junit.framework.*;

/**
 * Test cases for <code>IntRule</code>
 * @author Kai Kousa
 * */
public class IntRuleTests extends TestCase {

	private Rule rule = new IntRule();

	public void testValidate_success(){
		assertTrue(rule.validate("22"));
	}
	
	public void testValidate_fail(){
		assertFalse(rule.validate("kmksdf"));
		assertFalse(rule.validate("76kjhk"));
	}
	
	
	public void testNegativeValue(){
		assertTrue(rule.validate("-990"));
	}
	
	public void testFloatValue(){
		assertFalse(rule.validate("98.88"));
	}
}
