/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form.validators;

import junit.framework.TestCase;

/**
 * Test cases for <code>LongRule</code>
 * @author Eric Andrews
 * */
public class LongRuleTests extends TestCase {
	
	private Rule rule = new LongRule();
	
	public void testValidate_failContainsNonNumericCharacter() {
		assertFalse(rule.validate("41561a"));
	}
	
	public void testValidate_failTooLargeNumber() {
		assertFalse(rule.validate("9223372036854775808"));
	}
	
	public void testValidate_failTooSmallNumber() {
		assertFalse(rule.validate("-9223372036854775809"));
	}
	
	public void testValidate_failDecimalNumber() {
		assertFalse(rule.validate("41.5"));
	}
	
	public void testValidate_success() {
		assertTrue(rule.validate("151256362325122445"));
		assertTrue(rule.validate("-5125"));
	}
}
