/*
* Copyright 2009-2011 Telkku.com
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package attila.form.validators;

import junit.framework.*;

public class UnderscoreListRuleTests extends TestCase {

	public void testValidate_succeed(){
		Rule rule = new UnderscoreListRule(new IntRule());
		String list = "12_34";
		assertTrue(rule.validate(list));
	}
	
	public void testValidate_multipleValues(){
		Rule r = new UnderscoreListRule(new IntRule());
		String list = "12_23_34";
		
		assertTrue(r.validate(list));
	}
	
	public void testValidate_textValues(){
		Rule r = new UnderscoreListRule(new RegExpRule("[a-zA-Z]+"));
		String list = "kai_eric_juho";
		
		assertTrue(r.validate(list));
	}
	
	public void testValidate_failDifferentTypes(){
		Rule r = new UnderscoreListRule(new RegExpRule("[a-zA-Z]+"));
		String list = "kai_eric_123";
		
		assertFalse(r.validate(list));
	}
	
}
